/*
 * $Id: Test3View.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2004-2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/04/20
 */
package feat2.testapp.test3;

import feat2.CommandContext;
import feat2.View;
import feat2.config.ViewConfig;
import feat2.template.HTMLDocument;

public class Test3View implements View {

    private int intParam;
    private String stringParam;

    public HTMLDocument format(HTMLDocument template, ViewConfig cfg,
            CommandContext ctx) throws Exception {

        template.findElement("int").setText(Integer.toString(intParam));
        template.findElement("string").setText(stringParam);

        return template;

    }



    public int getIntParam() {
        return intParam;
    }

    public void setIntParam(int intParsm) {
        this.intParam = intParsm;
    }

    public String getStringParam() {
        return stringParam;
    }

    public void setStringParam(String stringParam) {
        this.stringParam = stringParam;
    }

}
